List a lot's bids
Newest first, including the bids that lost. The maximum behind each bid is never returned. Needs read on Fundraising.
GET
https://{organization}.rescueconsole.com
/
api
/
fundraising
/
items
/
{id}
/
bids
List a lot's bids
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"bidder_id": "<string>",
"paddle_number": 123,
"name": "<string>",
"amount_cents": 123,
"took_lead": true,
"placed_at": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List a lot's bids
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/items/{id}/bids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"bidder_id": "<string>",
"paddle_number": 123,
"name": "<string>",
"amount_cents": 123,
"took_lead": true,
"placed_at": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
